﻿function data()
return {
	info = {
		minorVersion = 1,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("mod_name"),
		description = _("mod_desc"),
		authors = {
		    {
		        name = "ModWerkstatt",
		        role = "CREATOR",
		    },
		},
		tags = { "europe", "deutschland", "germany", "db", "waggon", "goods", },
		minGameVersion = 0,
		dependencies = { },
		url = { "" },

        params = {
			{
				key = "slpsfake",
				name = _("Fake_slps"),
				values = { "No", "Yes", },
				tooltip = _("option_fake_slps_desc"),
				defaultIndex = 0,
			},
        },
	},
	options = {
	},
	
	runFn = function (settings, modParams)

        local hidden = {
			["fake_1.mdl"] = true,
			["fake_2.mdl"] = true,
			["fake_3.mdl"] = true,
            ["fake_4.mdl"] = true,
            ["fake_5.mdl"] = true,
            ["fake_6.mdl"] = true,
            ["fake_leer.mdl"] = true,            
        }

		local modelFilter = function(fileName, data)
			local modelName = fileName:match('/slps725u_([^/]*.mdl)')
			return (modelName==nil or hidden[modelName]~=true)
		end

        if modParams[getCurrentModId()] ~= nil then
			local params = modParams[getCurrentModId()]
			if params["slpsfake"] == 0 then
				addFileFilter("model/vehicle", modelFilter)
			end
		else
			addFileFilter("model/vehicle", modelFilter)
		end
	
	end
	}
end
